STOFFCell::Format Struct Reference

a structure uses to define the format of a cell content More...

`#include <STOFFCell.hxx>`

## Public Member Functions

| Format ()
| constructor
virtual | ~Format ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type

## Static Public Member Functions

static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList

## Public Attributes

FormatType | m_format
| the cell format : by default unknown
NumberType | m_numberFormat
| the numeric format

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFCell::Format const &format)
| operator<<

## Detailed Description

a structure uses to define the format of a cell content

## Constructor & Destructor Documentation

## Format()

STOFFCell::Format::Format | ( |  | ) |

inline

constructor

## ~Format()

STOFFCell::Format::~Format | ( |  | ) |

virtual

destructor

## Member Function Documentation

## convertDTFormat()

bool STOFFCell::Format::convertDTFormat | ( | std::string const & | dtFormat,
|  | librevenge::RVNGPropertyListVector & | propListVector )

static

convert a DTFormat in a propertyList

## getValueType()

std::string STOFFCell::Format::getValueType | ( |  | ) | const

returns a value type

Referenced by STOFFSpreadsheetListener::openSheetCell().

## hasBasicFormat()

bool STOFFCell::Format::hasBasicFormat | ( |  | ) | const

inline

returns true if this is a basic format style

Referenced by STOFFSpreadsheetListener::openSheetCell().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFCell::Format const & | format )

friend

operator<<

## Member Data Documentation

## m_format

FormatType STOFFCell::Format::m_format

the cell format : by default unknown

Referenced by Format(), getValueType(), hasBasicFormat(), STOFFSpreadsheetListener::openSheetCell(), operator<<, StarObjectSpreadsheet::readSCData(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

## m_numberFormat

NumberType STOFFCell::Format::m_numberFormat

the numeric format

Referenced by Format(), getValueType(), operator<<, and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

The documentation for this struct was generated from the following files:

- STOFFCell.hxx
- STOFFCell.cxx